Rewards

Reward management operations

Get user rewards

get
/api/rewards

Retrieve rewards for the authenticated user with optional filtering

Query parameters
statusstring · enumOptional

Filter rewards by status

Possible values:
limitstringOptional

Maximum number of results per request

Default: 100
offsetstringOptional

Number of results to skip

Default: 0
Responses
chevron-right
200

List of rewards

application/json
get
/api/rewards

Assign reward

post
/api/rewards

Assign a reward to a user using a campaign key

Body
campaign_keystring · min: 1Required

Campaign key

Example: summer2024
beneficiarystring · addressOptional

User address to assign the reward to

Example: 0x1234567890123456789012345678901234567890
captcha_idstring · uuidOptional

Captcha identifier

Example: 123e4567-e89b-12d3-a456-426614174000
captcha_valuestring · min: 6 · max: 6Optional

Captcha value

Example: ABC123
catalyststring · uriOptional

Catalyst URL where the user is connected

Example: https://peer.decentraland.org
assign_targetstring · addressOptional

Target contract for reward assignment

Example: 0x1234567890123456789012345678901234567890
assign_valuestring · min: 1Optional

Value for reward assignment

Example: 1
assign_groupstring · min: 1Optional

Group for reward assignment

Example: premium
Responses
chevron-right
200

Reward assigned successfully

application/json
post
/api/rewards

Get reward details

get
/api/rewards/{reward_id}

Retrieve detailed information about a specific reward

Path parameters
reward_idstring · uuidRequired

Reward ID

Responses
chevron-right
200

Reward details

application/json
get
/api/rewards/{reward_id}

Last updated